<?php
error_reporting(0);
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion
require_once("../includes/academia_constantes.php");
require_once("../includes/funciones_generales.php");
$responce = new \stdClass();
if(!comprobar_sesion()){
	$responce->page = 0;
	$responce->total =0;
	$responce->records = 0;
	echo json_encode($response);
	exit(); 
}

require_once("../includes/MySQL.php");
require_once("../includes/funciones_buscador.php");

$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));
$cd_gr=$_POST['cod_gr'];
$cd_doc=$_POST['codigo_dc'];
$wh='';
if($sesion->getVar('ac_tipo_user')=='1'){
	$wh=' AND aca_asignaturasxgrupos.cod_profesor ='.$cd_doc;
}

$sql='SELECT
    aca_detallesxperiodo.cod_ponxper,
	aca_detallesxperiodo.cod_asigxgrupo
    , aca_detallesxperiodo.periodo_calif
    , aca_detallesxperiodo.estado_per

FROM
    aca_detallesxperiodo
    INNER JOIN aca_asignaturasxgrupos 
        ON (aca_detallesxperiodo.cod_asigxgrupo = aca_asignaturasxgrupos.cod_asigxgrupo)
WHERE 1=1 AND aca_asignaturasxgrupos.cod_grupo ='.$cd_gr.' '.$wh.' ORDER BY aca_asignaturasxgrupos.cod_asigxgrupo';

$academia->instruccion($sql);
$responce = [];
while($row = $academia->extraer_registro()) {
	$responce[$row['cod_asigxgrupo']][$row['periodo_calif']]=array('est'=>$row['estado_per'],'cdponper'=>$row['cod_ponxper']);
}
/*while($row = $academia->extraer_registro()) {
	$responce->$row['cod_asigxgrupo']
        ->$row['periodo_calif']=array('est'=>$row['estado_per'],'cdponper'=>$row['cod_ponxper']);
} */

$responce['sql']=$sql;
$academia->cerrar();

echo json_encode($responce);
